httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Doug MacEachern <do...@covalent.net>
Subject Re: Upgraded to perl 5.6.0, ImageMagick now gives boot_libapreq error
Date Fri, 22 Dec 2000 06:09:11 GMT
On Mon, 11 Dec 2000, Chris Allen wrote:

> I have just done a complete install of RedHat v7.0 which includes
> Perl 5.6.0. Image Magick was running fine on my old system, but now 
> when I attempt to install it, it gives the following error message
> when attempting to do the PerlMagick install:
> 
> ./perlmain.o: In function: 'xs_init' :
> ./perlmain.o(.text+0xc1): undefined reference to  'boot_libapreq'
> collect2: ld returned 1 exit status

just delete this file:
perl -MConfig -le 'print "$Config{installsitearch}/auto/libapreq/libapreq.a"'

since you're building static, MakeMaker tries to link *.a, but that's not
an XS .a, it's meant for pure C apps to link against.
it shouldn't be installed there, esp. now that libapreq has autoconf
support for pure C apps.


Mime
View raw message